<template>
  <div>
    <img
      class="mx-auto pt-10 lg:pt-20 mb-20 lg:mb-40"
      src="/logo.png"
      alt="Song Quiz logo"
    />
    <div
      class="sm:max-w-xl xl:max-w-4xl 2xl:max-w-6xl mx-4 sm:mx-auto py-12 lg:py-24 bg-quiz-200 rounded-xl"
    >
      <p class="text-center font-prompt text-3xl text-white font-bold pb-2.5">
        Welcome!
      </p>
      <form @submit.prevent>
        <UiInput
          v-model.trim="playerName"
          class="mx-auto w-4/5 xl:w-2/3 mb-8"
          input-name="playerName"
          label-title="Please enter your name and let's start our quiz!"
          label-class="block text-center text-quiz-100 leading-normal mx-2 mb-12 lg:mb-24"
          input-class="quiz-input-name outline-none"
          input-placeholder="Type your name here..."
        />
        <UiButton
          class="mx-auto"
          :class="{ 'btn-default': isActive, 'btn-disabled': !isActive }"
          :disabled="!isActive"
          btn-name="Start quiz"
          btn-type="submit"
          @clickBtn="startGame"
        />
      </form>
    </div>
  </div>
</template>

<script>
import UiInput from '@/components/UI/Input/UiInput'
import UiButton from '@/components/UI/Button/UiButton'

export default {
  components: {
    UiInput,
    UiButton,
  },
  data() {
    return {
      playerName: '',
    }
  },
  computed: {
    isActive() {
      return !!this.playerName
    },
  },
  methods: {
    startGame() {
      const playerName = this.playerName
      this.$store.dispatch('startGame', playerName)
      this.$store.dispatch('fetchQuizData')
    },
  },
}
</script>
